Bug 1579078 - [abrt] ibus-libpinyin: pinyin_save(pinyin_context_t*)(): ibus-engine-libpinyin killed by SIGSEGV
Summary: [abrt] ibus-libpinyin: pinyin_save(pinyin_context_t*)(): ibus-engine-libpinyi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2907b6d4b730ec4a10a6bea50fe...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-16 23:19 UTC by Chen_Min_Chin
Modified: 2019-04-09 05:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-09 05:14:53 UTC


Attachments (Terms of Use)
File: backtrace (47.60 KB, text/plain)
2018-05-16 23:19 UTC, Chen_Min_Chin
no flags Details
File: cgroup (331 bytes, text/plain)
2018-05-16 23:19 UTC, Chen_Min_Chin
no flags Details
File: core_backtrace (13.57 KB, text/plain)
2018-05-16 23:19 UTC, Chen_Min_Chin
no flags Details
File: cpuinfo (1.39 KB, text/plain)
2018-05-16 23:19 UTC, Chen_Min_Chin
no flags Details
File: dso_list (3.80 KB, text/plain)
2018-05-16 23:19 UTC, Chen_Min_Chin
no flags Details
File: environ (3.96 KB, text/plain)
2018-05-16 23:19 UTC, Chen_Min_Chin
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-16 23:19 UTC, Chen_Min_Chin
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-16 23:19 UTC, Chen_Min_Chin
no flags Details
File: maps (16.57 KB, text/plain)
2018-05-16 23:19 UTC, Chen_Min_Chin
no flags Details
File: mountinfo (4.01 KB, text/plain)
2018-05-16 23:19 UTC, Chen_Min_Chin
no flags Details
File: open_fds (1.48 KB, text/plain)
2018-05-16 23:19 UTC, Chen_Min_Chin
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-05-16 23:19 UTC, Chen_Min_Chin
no flags Details

Description Chen_Min_Chin 2018-05-16 23:19:26 UTC
Version-Release number of selected component:
ibus-libpinyin-1.10.0-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-libpinyin --ibus
crash_function: pinyin_save(pinyin_context_t*)
executable:     /usr/libexec/ibus-engine-libpinyin
journald_cursor: s=52e1c1c145d84b2cb155ffe9c107ba83;i=38605b;b=fd25554919fb41e0be205b3fff0dd9a5;m=4ab68a27;t=56c5aa1cab265;x=e77d720726849826
kernel:         4.16.8-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 pinyin_save(pinyin_context_t*) at pinyin.cpp:736
 #1 PY::LibPinyinBackEnd::clearPinyinUserData(char const*) at PYLibPinyin.cc:307
 #2 PY::PinyinConfig::valueChanged(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, _GVariant*) at PYLibPinyin.h:60
 #3 PY::LibPinyinConfig::valueChangedCallback(_GSettings*, char const*, PY::LibPinyinConfig*) at /usr/include/c++/8/bits/char_traits.h:320

Comment 1 Chen_Min_Chin 2018-05-16 23:19:33 UTC
Created attachment 1437677 [details]
File: backtrace

Comment 2 Chen_Min_Chin 2018-05-16 23:19:34 UTC
Created attachment 1437678 [details]
File: cgroup

Comment 3 Chen_Min_Chin 2018-05-16 23:19:35 UTC
Created attachment 1437679 [details]
File: core_backtrace

Comment 4 Chen_Min_Chin 2018-05-16 23:19:37 UTC
Created attachment 1437680 [details]
File: cpuinfo

Comment 5 Chen_Min_Chin 2018-05-16 23:19:38 UTC
Created attachment 1437681 [details]
File: dso_list

Comment 6 Chen_Min_Chin 2018-05-16 23:19:42 UTC
Created attachment 1437682 [details]
File: environ

Comment 7 Chen_Min_Chin 2018-05-16 23:19:43 UTC
Created attachment 1437683 [details]
File: exploitable

Comment 8 Chen_Min_Chin 2018-05-16 23:19:44 UTC
Created attachment 1437684 [details]
File: limits

Comment 9 Chen_Min_Chin 2018-05-16 23:19:46 UTC
Created attachment 1437685 [details]
File: maps

Comment 10 Chen_Min_Chin 2018-05-16 23:19:47 UTC
Created attachment 1437686 [details]
File: mountinfo

Comment 11 Chen_Min_Chin 2018-05-16 23:19:49 UTC
Created attachment 1437687 [details]
File: open_fds

Comment 12 Chen_Min_Chin 2018-05-16 23:19:50 UTC
Created attachment 1437688 [details]
File: proc_pid_status

Comment 13 Peng Wu 2018-05-23 02:38:41 UTC
Could you describe how to reproduce this issue?

It seems pinyin_save got null pointer.
After switch to ibus-libpinyin, the pointer is not null I think.

Comment 14 Peng Wu 2019-04-09 05:14:53 UTC
As ibus-libpinyin 1.11.0 and libpinyin 2.3.0 are released, close bug.


Note You need to log in before you can comment on or make changes to this bug.